🚀 **typescript-express-hasura-pgsql-template**

A template repo to quickly start developing a backend with Express JS, Typescript, Redis, Hasura GraphQL (with Postgres), Husky, Nodemailer, and AWS S3 preconfigured.

## 📝 Description

This repo provides a starting point for developing a backend with a modern tech stack.

## 🛠️ Technologies Used

- Express JS
- Typescript
- Redis
- Hasura GraphQL (with Postgres)
- Husky
- Nodemailer
- AWS S3

## 🚀 Getting Started

To get started with the project, follow these steps:

1. Clone the repo.
2. Run `npm install` to install dependencies.
3. Copy the `.env.example` file and create a `.env` file with your environment variables.
4. Run `npm run dev` to start the development server.

## 📜 Scripts

- `npm run dev`: Starts the development server for both Hasura and Express.
- `npm run dev:hasura`: Starts the Hasura development server.
- `npm run dev:express`: Starts the Express development server.
- `npm run build`: Builds the project.
- `npm start`: Starts the project.
- `npm run prettier`: Runs Prettier to format code.
- `npm run prepare`: Installs Husky.
- `npm run configure-husky`: Configures Husky.

## 📝 License

This project is licensed under the ISC License.

For more information, please see the `LICENSE` file.

## 📧 Contact

If you have any questions or would like to contribute to the project, please contact `hi@b68.dev`.